Get matched (ungraded) bets
curl --request GET \
--url https://api.4casters.io/user/getMatchedBets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4casters.io/user/getMatchedBets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4casters.io/user/getMatchedBets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"matchedBets": [
{
"id": "<string>",
"txID": "<string>",
"type": "moneyline",
"bet": 123,
"odds": 123,
"spread": 123,
"total": 123,
"OU": "over",
"participantID": "<string>",
"market": "<string>",
"side": "<string>",
"userReference": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"matchedTime": "2023-11-07T05:31:56Z",
"graded": true,
"closed": true,
"origin": "<string>",
"adminRefund": true,
"risk": "<string>",
"win": "<string>",
"game": {
"id": "<string>",
"league": "<string>",
"sport": "<string>",
"start": "2023-11-07T05:31:56Z",
"ended": true,
"eventName": "<string>",
"isFutures": true,
"participants": [
{
"id": "<string>",
"longName": "<string>",
"shortName": "<string>",
"homeAway": "home",
"mainPitcher": "<string>",
"rotationNumber": "<string>",
"futuresSide": "<string>",
"score": 123
}
]
}
}
]
}
}使用者
獲取已撮合投注
列出已撮合但尚未結算的投注
GET
/
user
/
getMatchedBets
Get matched (ungraded) bets
回傳呼叫方所有已撮合但尚未結算的投注 — 即尚未結算的賽事上的未平倉頭寸。
請求
GET /user/getMatchedBets
不接受參數。
curl https://api.4casters.io/user/getMatchedBets \
-H "Authorization: Bearer YOUR_TOKEN"
回應
array
已撮合投注陣列,按開賽時間升序排列。
顯示 MatchedBet
顯示 MatchedBet
string
投注 ID。
string
成交的事務 ID。
string
moneyline、spread、total 或 moneyline1x2。number
原始投注額。
integer
成交時的美式賠率。
number
出現在
spread 上。number
出現在
total 上。string
over 或 under。出現在 total 上。string
出現在
moneyline 和 spread 上。string
出現在
moneyline1x2 上。string
用於
moneyline1x2 — yes 或 no。string
下單時傳入的可選用戶端自定義識別碼。
string
ISO 8601 時間戳記。
string
成交發生的 ISO 8601 時間戳記。
string
offer(你掛單,吃單方成交了你)或 wager(你吃掉了已有流動性)。string
已撮合部分的風險額(字串格式,兩位小數)。包含虧損時你需支付的佣金。
string
扣除盈利時你需支付的佣金後的可贏金額。已撮合投注沒有單獨的
fee 欄位 — 佣金在結算時收取,且僅出現在已結算注單上;在此之前反映在 risk/win 中。boolean
此處始終為
false。boolean
投注是否已被管理員操作關閉。
boolean
投注是否已被管理員退款。
示例
{
"data": {
"matchedBets": [
{
"id": "67f45377c18c6697c172afa4",
"txID": "67f45377c18c6697c172afa3",
"type": "moneyline",
"bet": 50,
"odds": -185,
"participantID": "5d48bd5198366d41ec7238da",
"userReference": "my-ref-123",
"createdAt": "2025-09-24T19:30:59.482Z",
"matchedTime": "2025-09-24T19:30:59.482Z",
"origin": "wager",
"risk": "50.27",
"win": "27.16",
"graded": false,
"closed": false,
"adminRefund": false,
"game": {
"id": "688c0516fbc14da0c202d426",
"league": "NBA",
"sport": "basketball",
"start": "2025-09-25T00:10:00.000Z",
"ended": false,
"eventName": "TORONTO RAPTORS VS PHILADELPHIA 76ERS",
"isFutures": false,
"participants": [/* ... */]
}
}
]
}
}
這個頁面有幫助嗎?